Fix paths after composer.* files move

This commit is contained in:
jo 2021-09-11 04:20:50 +02:00
parent f784f483a8
commit 03b109dcb5
12 changed files with 24 additions and 19 deletions

View File

@ -28,7 +28,9 @@ echo -n "${suffix}" > ./VERSION
echo " Done"
echo -n "Running composer install..."
pushd airtime_mvc || (echo "could not cd in airtime_mvc!" && exit 1)
composer install --quiet --no-dev --ignore-platform-reqs
popd || exit
echo " Done"
# Adding back; may be useful later...
@ -50,7 +52,7 @@ tar -czf "libretime-${suffix}.tar.gz" \
--exclude .travis.yml \
--exclude travis \
--exclude dev_tools \
--exclude vendor/phing \
--exclude vendor/simplepie/simplepie/tests \
--exclude airtime_mvc/vendor/phing \
--exclude airtime_mvc/vendor/simplepie/simplepie/tests \
libretime
echo " Done"

View File

@ -87,14 +87,15 @@ jobs:
- name: Install dependencies
run: |
composer install --no-progress --dev
working-directory: airtime_mvc
- name: Run PHP tests
run: |
sudo mkdir -p "$LIBRETIME_LOG_DIR"
sudo chown runner:runner "$LIBRETIME_LOG_DIR"
cd airtime_mvc/tests
php ../../vendor/bin/phpunit
php ../vendor/bin/phpunit
working-directory: airtime_mvc/tests
test:
runs-on: ubuntu-latest

View File

@ -1,12 +1,12 @@
{
"autoload": {
"classmap": [
"airtime_mvc/application/"
"application/"
]
},
"autoload-dev": {
"classmap": [
"airtime_mvc/tests/application/",
"tests/application/",
"vendor/phpunit/dbunit/src/"
]
},

View File

@ -28,7 +28,7 @@ define('BUILD_PATH', ROOT_PATH . 'build/');
define('SETUP_PATH', BUILD_PATH . 'airtime-setup/');
define('APPLICATION_PATH', ROOT_PATH . 'application/');
define('CONFIG_PATH', APPLICATION_PATH . 'configs/');
define('VENDOR_PATH', ROOT_PATH . '../vendor/');
define('VENDOR_PATH', ROOT_PATH . 'vendor/');
define('REST_MODULE_CONTROLLER_PATH', APPLICATION_PATH . 'modules/rest/controllers/');
define("AIRTIME_CONFIG_STOR", "/etc/airtime/");

View File

@ -2,7 +2,7 @@
define("CONFIG_PATH", dirname(dirname( __DIR__)) . "/application/configs/");
require_once(dirname(dirname( __DIR__)) . "/../vendor/propel/propel1/runtime/lib/Propel.php");
require_once(dirname(dirname( __DIR__)) . "/vendor/propel/propel1/runtime/lib/Propel.php");
require_once(CONFIG_PATH . 'conf.php');
require_once(dirname(dirname( __DIR__)) . "/application/models/airtime/CcPref.php");
require_once(dirname(dirname( __DIR__)) . "/application/models/airtime/CcPrefPeer.php");

View File

@ -3,7 +3,7 @@
define("CONFIG_PATH", dirname(dirname( __DIR__)) . "/application/configs/");
define("DEFAULT_STOR_DIR", "/srv/airtime/stor/");
require_once(dirname(dirname( __DIR__)) . "/../vendor/propel/propel1/runtime/lib/Propel.php");
require_once(dirname(dirname( __DIR__)) . "/vendor/propel/propel1/runtime/lib/Propel.php");
require_once(CONFIG_PATH . 'conf.php');
require_once(dirname(dirname( __DIR__)) . "/application/models/airtime/map/CcMusicDirsTableMap.php");

View File

@ -6,7 +6,7 @@ define("RMQ_INI_TEMP_PATH", "/tmp/rabbitmq.ini.tmp");
// load autoloader since this files is an entry path see
// the end of the file for the "server" that is being
// executed.
require_once __DIR__ . '/../../../vendor/autoload.php';
require_once __DIR__ . '/../../vendor/autoload.php';
/**
* Class Setup

View File

@ -2,7 +2,7 @@
error_reporting(E_ALL | E_STRICT);
// load composer autoloader
require_once __DIR__.'/../../../vendor/autoload.php';
require_once __DIR__ . '/../../vendor/autoload.php';
// Define path to application directory
defined('APPLICATION_PATH')
@ -30,13 +30,13 @@ set_include_path(implode(PATH_SEPARATOR, array(
// Ensure vendor/ is on the include path
set_include_path(implode(PATH_SEPARATOR, array(
get_include_path(),
realpath(APPLICATION_PATH . '/../../vendor'),
realpath(APPLICATION_PATH . '/../../vendor/zf1s/zend-loader/library')
realpath(APPLICATION_PATH . '/../vendor'),
realpath(APPLICATION_PATH . '/../vendor/zf1s/zend-loader/library')
)));
set_include_path(implode(PATH_SEPARATOR, array(
get_include_path(),
realpath(APPLICATION_PATH . '/../../vendor/propel/propel1/runtime/lib')
realpath(APPLICATION_PATH . '/../vendor/propel/propel1/runtime/lib')
)));
// Ensure library/ is on include_path

View File

@ -2,7 +2,9 @@
set -e # Exit if any of the steps fails.
pushd airtime_mvc || (echo "could not cd in airtime_mvc!" && exit 1)
composer install --no-dev --no-interaction
popd || exit
git_build=""
if [ -d .git ]; then

View File

@ -11,4 +11,4 @@ cd "$SCRIPTPATH/../airtime_mvc/" || (echo "could not cd in $SCRIPTPATH/../airtim
path=$(pwd)
cd build
sed -i "s|\"project\.home =.*$\"|\"project.home = $path\"|g" build.properties
../../vendor/propel/propel1/generator/bin/propel-gen
../vendor/propel/propel1/generator/bin/propel-gen

View File

@ -51,7 +51,9 @@ git checkout --quiet tags/${suffix}
echo " Done"
echo -n "Running composer install..."
pushd airtime_mvc || (echo "could not cd in airtime_mvc!" && exit 1)
composer install --quiet --no-dev --ignore-platform-reqs
popd || exit
echo " Done"
popd
@ -74,8 +76,8 @@ tar -czf $target_file \
--exclude .travis.yml \
--exclude travis \
--exclude dev_tools \
--exclude vendor/phing \
--exclude vendor/simplepie/simplepie/tests \
--exclude airtime_mvc/vendor/phing \
--exclude airtime_mvc/vendor/simplepie/simplepie/tests \
libretime-${suffix}
echo " Done"
popd

View File

@ -865,7 +865,6 @@ if [ "$in_place" = "t" ]; then
elif [ -n "$web_root" ]; then
verbose "\n * Creating Apache web root directory..."
cp -R ${AIRTIMEROOT}/airtime_mvc ${web_root}
cp -R ${AIRTIMEROOT}/vendor ${web_root}
cp ${AIRTIMEROOT}/VERSION ${web_root}
web_root=${web_root}/airtime_mvc/public/
else
@ -873,7 +872,6 @@ else
web_root="/usr/share/airtime/php"
mkdir -p ${web_root}
cp -R ${AIRTIMEROOT}/airtime_mvc ${web_root}
cp -R ${AIRTIMEROOT}/vendor ${web_root}
cp ${AIRTIMEROOT}/VERSION ${web_root}
web_root=${web_root}/airtime_mvc/public/
fi